Inhoud
Index 🔎︎

# Functie CLng

Converteert een tekenreeks of numerieke expressie naar een Long Integer.

## Syntaxis:

    CLng (Expressie)

## Teruggegeven waarde:

Lang

## Parameters:

Expressie: Een numerieke expressie die moet worden geconverteerd. Als de Expressie buiten het bereik van Long Integer zit, tussen -2.147.483.648 en 2.147.483.647 , geeft LibreOffice BASIC een overloop-fout. Bij het converteren van een tekenreeks moet het getal worden ingevoerd als normale tekst ("123,5"). Gebruik de getalopmaak van uw landinstellingen.

Deze functie rondt altijd het breukgedeelte van een getal af naar het naaste hele getal.

### Foutcodes:

5 Ongeldige aanroep van procedure

## Voorbeeld:

    Sub ExampleCountryConvert
        MsgBox CDbl(1234.5678)
        MsgBox CInt(1234.5678)
        MsgBox CLng(1234.5678)
    End Sub